@import url('https://fonts.googleapis.com/css?family=Montserrat&display=swap');

body, html{
    font-family: 'Montserrat';
    padding: 0;
    margin: 0;
    overflow-x: hidden;
}

*{
    box-sizing: border-box;
    outline: hidden;
}

//navbar
.navbar{
    width: 110px;
    height: 110px;
    background: rgba(51, 51, 51, .9);
    border-radius: 50%;
    position: fixed;
    top: 0px;
    right: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
    // transform: rotate(90deg);
    transform:  translate(50%,-50%) rotate(90deg);
    overflow: hidden;
    
    transition: transform .7s ease-in-out .7s, width .7s ease-in-out .0s, height .7s ease-in-out .0s;

    
    ul{
        height: 100%;
        width: 100%;
        border-radius: 50%;
        display: flex;
        justify-content: center;
        list-style: none;
        padding: 0;
        
        // transition: transform .5s ease-in-out .0s; 
        
        li{
            position: absolute;
            top: 50%; 
            left: 50%;
            margin: 2px 0 0 -30px;

            .a{

                a{
                    text-decoration: none;
                    color: #f4f4f4;
                    padding: 0 10px;
                    margin-bottom: 5px;
                }
            }

            i{
                font-size: 23px;
                color: #f4f4f4;
            }

            
        }    
        
        li:nth-child(1){
            transform: rotate(170deg) translate(400px);
            color: #ddd;
            
            .a{
                transform: rotate(-170deg);
            }
        }

        li:nth-child(2){
            transform: rotate(150deg) translate(400px);
            color: #ddd;

            .a{
                transform: rotate(-150deg);
            }
        }        
    
        li:nth-child(3){
            transform: rotate(130deg) translate(400px);
            color: #ddd;
            
            .a{
                transform: rotate(-130deg);
            }
        }
        
        li:nth-child(4){
            transform: rotate(110deg) translate(400px);
            color: #ddd;
            
            .a{
                transform: rotate(-110deg);
            }
        }
    }
       
}

.navbarOpened{
    width: 900px;
    height: 900px;
    transform: translate(50%,-50%) rotate(0deg) ;
}

#nav-icon-container{
    position: fixed;
    height: 38px; 
    width: 38px;
    top: 0px; 
    right: 0px;
    display: flex; 
    justify-content: center; 
    align-items: center;
    z-index: 2; 
    
    i{
        font-size: 25px;
        color: #f4f4f4;
        position: absolute;
        cursor: pointer;
    }
    
    .fa-times{
        display: none;
    }

    .fa-bars{
        display: block;
    }

    .fa-bars-after{
        display: none;
    }

    .fa-times-after{
        display: block;
    }
}


//module 1


.title.cardAnimLeft{
    animation: slideLeft 1.5s .8s forwards;
}

.title.cardAnimRight{
    animation: slideRight 1.5s .8s forwards;
}

#module1.cardAnimLeft{

    .card:nth-of-type(1){
        animation: slideLeft 1s 0s forwards;
    }

    .card:nth-of-type(2){
        animation: slideLeft 1s 0.2s forwards;
    }

    .card:nth-of-type(3){
        animation: slideLeft 1s 0.4s forwards;
    }

    .card:nth-of-type(4){
        animation: slideLeft 1s .6s forwards;
    }
}

#module2.cardAnimLeft{

    .card:nth-of-type(1){
        animation: slideLeft 1s 0.8s forwards;
    }

    .card:nth-of-type(2){
        animation: slideLeft 1s 1s forwards;
    }

    .card:nth-of-type(3){
        animation: slideLeft 1s 1.2s forwards;
    }

    .card:nth-of-type(4){
        animation: slideLeft 1s 1.4s forwards;
    }
}

#module3.cardAnimLeft{

    .card:nth-of-type(1){
        animation: slideLeft 1s 1.6s forwards;
    }

    .card:nth-of-type(2){
        animation: slideLeft 1s 1.8s forwards;
    }

    .card:nth-of-type(3){
        animation: slideLeft 1s 2s forwards;
    }

    .card:nth-of-type(4){
        animation: slideLeft 1s 2.2s forwards;
    }
}

.modules{
    min-width: 100%;
    
    h1{
        text-align: center;
    }
    
    .card-container{
        display: flex;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
        
        .card{
            width: 280px;
            height: 350px;
            margin: 25px;
            border-radius: 12px;
            box-shadow: 10px 10px 30px 5px rgba(153, 153, 153, 0.616);
            overflow: hidden;
            
            
            .card-desc{
                height: 100%;
                width: 100%;
                margin: 0;
                transform: translateY(-100%);
                background-color: rgba(170, 170, 170, 0);
                display: flex;
                justify-content: center;
                align-items: center;
                flex-direction: column; 
    
                transition: transform 1s ease-in-out, background-color 1s ease-in-out;
        
                p{
                    margin: 0;
                    color: #e4e4e4;
                    font-weight: bold;
                    letter-spacing: 1.5px;
                }
    
                a{
                    text-decoration: none;
                    height: 40px;
                    width: 40px;
                    margin: 10px 0;
                    border-radius: 50%;
                    background-color: #ddd;
                    color: #333;
                    display: flex;
                    justify-content: space-around;
                    align-items: center;
    
                    transform: translateY(300px);
                    transition: transform 1s ease-in-out, background-color .1s linear;
    
                    &:hover{
                        background-color: #ccc;
                    }
    
    
                    i{
                        font-size: 20px;
                    }
                }
    
            }
            
            .card-img{
                width: 100%;
                height: 100%;
                display: flex;
                justify-content: center;
                padding: 0;
                margin: 0;
                filter: blur(1px) saturate(40%);
                transform: scale(1);
    
                // transition: transform 1s ease-in-out;
                transition: filter 1s ease-in-out, transform 1s ease-in-out;
                
                img{
                    height: 100%;
                    margin: 0;
                    //transform: scale(1);
                    //z-index: -1;
                    opacity: .9;
                    
                }
            }
    
            &:hover .card-img{
                transform: scale(1.3);
                filter: blur(0px) saturate(110%);
            }
    
            &:hover .card-desc{
                transform: translateY(-70%);
                background: rgba(170, 170, 170, 0);
            }
    
            &:hover .card-desc a{
               transform: translateY(0);
            }
        }
    }
    
}

.modulesWrapper{
    display: flex;
}

// #module2{
//     transform: translateX(100vw);
// }

@keyframes slideLeft{
    from{
        transform: translateX(0);
    }
    to{
        transform: translateX(-100vw);
    }
}


